> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-non-compliant-devices.md).

# 準拠していないデバイスをエクスポート

### 説明

この runbook は、非準拠デバイスおよび猶予期間中のデバイスに対して Intune を照会し、詳細なポリシーおよび設定のコンプライアンス データを取得します。結果は SAS（ダウンロード）リンク付きで CSV にエクスポートできます。

### 場所

Organization → General → 非準拠デバイスをエクスポート

**Runbook の完全名**

rjgit-org\_general\_export-non-compliant-devices

### 詳細

| プロパティ    | 値                                                                   |
| -------- | ------------------------------------------------------------------- |
| バージョン    | 1.0.1                                                               |
| 必要なモジュール | <p>RealmJoin.RunbookHelper (>= 0.8.9)<br>Az.Accounts (>= 5.5.2)</p> |
| スケジュール可能 | いいえ                                                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * DeviceManagementConfiguration.Read.All
    * *Intune のコンプライアンス レポート エンドポイントを介して、デバイスごとのポリシーおよび設定のコンプライアンスを取得します*
  * DeviceManagementManagedDevices.Read.All
    * */deviceManagement/managedDevices を介して非準拠の Intune デバイスを一覧表示します*

#### 権限に関する注意

Azure IaaS: リンクを生成する場合に Azure Storage リソースを作成/管理するためのアクセス権

### パラメーター

#### produceLinks

true に設定すると、ストレージ設定が利用可能な場合に成果物をアップロードし、SAS（ダウンロード）リンクを生成します。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | いいえ  |
| 既定値   | はい   |
| 種類    | ブール値 |

#### ContainerName

アップロードに使用するストレージ コンテナー名。

| プロパティ | 値                                |
| ----- | -------------------------------- |
| 必須    | いいえ                              |
| 既定値   | rjrb-device-compliance-report-v2 |
| 種類    | 文字列                              |

#### ResourceGroupName

ストレージ アカウントを含むリソース グループ。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### StorageAccountName

アップロードに使用するストレージ アカウント名。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account の場所

そのストレージ アカウントの Azure リージョン。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account SKU

ストレージ アカウントの SKU。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### サブスクリプション ID

ストレージ操作に使用する Azure サブスクリプション ID。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-non-compliant-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
